#!/bin/csh
#	Search given sequence vs given blocks
#	$1=blocks file, $2=sequence file, $3=output file
set bindir = ./
set tmp = ../tmp/$$

unalias mv
unalias cp
unalias rm

#	Add sequences
$bindir/blimps-bin/addseqs $1 $2 $tmp.add >& $3
#	Re-weight sequences
$bindir/blimps-bin/blweight $tmp.add $tmp.blw P M >& /dev/null
#	Re-calibrate
$bindir/calibrate.csh $tmp.blw $1.add >& /dev/null


rm $tmp.add $tmp.blw >& /dev/null

exit(0)
